_bbank_addr		= 0x00000000;
_bbank_size_code	= 4;				/* 2**(15+N) = 512K */
_bbank_size		= 1 << (15 + _bbank_size_code);

_nbbank_addr		= _bbank_addr + _bbank_size;
_nbbank_size_code	= 2;				/* 2**(13+N) = 32K */
_nbbank_size		= 1 << (13 + _nbbank_size_code);

_ram_addr		= 0x04000000;
_ram_size_code		= 2;				/* 32K*(N+1) = 96K */
_ram_size		= 32768 * (_ram_size_code + 1);
_stacks			= _ram_addr + _ram_size;

MEMORY
{
	ROM (rx) : ORIGIN = 0x00000000, LENGTH = 0x00088000
	RAM (rw) : ORIGIN = 0x04000000, LENGTH = 0x00018000
}
