#define F_CRYSTAL	25000000
#define F_RTCOSC	0
//#define F_CPU		96000000
#define F_CPU		48000000
//#define F_CPU		25000000

#define __Config_MCLK		F_CPU

#if F_CPU == 96000000
  #define __Config_RCLK		(__Config_MCLK/1)
  #define __Config_HCLK		(__Config_RCLK/1)	// 96MHz max
  #define __Config_PCLK		(__Config_RCLK/2)	// 48MHz max
  #define __Config_BRCLK	(__Config_MCLK/2)
  #define __Config_FMICLK	(__Config_RCLK/2)	// 96MHz max, but fails at /1
  #define __Config_EMICLK	(__Config_HCLK/2)	// 66MHz max
#elif F_CPU == 48000000
  #define __Config_RCLK		(__Config_MCLK/1)
  #define __Config_HCLK		(__Config_RCLK/1)
  #define __Config_PCLK		(__Config_RCLK/1)
  #define __Config_BRCLK	(__Config_MCLK/1)
  #define __Config_FMICLK	(__Config_RCLK/1)
  #define __Config_EMICLK	(__Config_HCLK/1)
#elif F_CPU == F_CRYSTAL
  // HW defaults:
  #define __Config_RCLK		(__Config_MCLK/1)
  #define __Config_HCLK		(__Config_RCLK/1)
  #define __Config_PCLK		(__Config_RCLK/1)
  #define __Config_BRCLK	(__Config_MCLK/2)
  #define __Config_FMICLK	(__Config_RCLK/1)
  #define __Config_EMICLK	(__Config_HCLK/2)
#else
  #error F_CPU?
#endif

#define BufferedUART	0
